<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */

declare(strict_types=1);

namespace BookiFlex\Core\Service\SuitableRatePlan\Event;

use BookiFlex\Core\Model\RatePlan\RatePlan;

defined( 'ABSPATH' ) || exit;

class SuitableRatePlansAreFound
{
    private array $ratePlans;

    private mixed $context;

    /**
     * @param RatePlan[] $ratePlans
     * @param mixed $context
     */
    public function __construct(array $ratePlans, mixed $context)
    {
        $this->ratePlans = $ratePlans;
        $this->context   = $context;
    }

    /**
     * @param array $ratePlans
     */
    public function setRatePlans(array $ratePlans): void
    {
        $this->ratePlans = $ratePlans;
    }

    public function getRatePlans(): array
    {
        return $this->ratePlans;
    }

    public function getContext(): mixed
    {
        return $this->context;
    }
}
